Subject: Re: bug#48649: Guix doesn't boot with LUKS root partition

From: Juraj Hlista <[email-masked]>
Date: Tue, 25 May 2021 17:19:24 +0000

I tried to install Guix on unencrypted partition as well and it works.

So to sum up my issue:

/dev/nvme0n1p1 - 1.8TB, Linux (83)

cryptsetup luksFormat /dev/nvme0n1p1
cryptsetup open /dev/nvme0n1p1 luks
mkfs.ext4 -L system /dev/mapper/luks

mount LABEL=system /mnt
mkdir /mnt/etc

herd start cow-store /mnt

(bootloader
  (bootloader-configuration
    (bootloader grub-bootloader)
    (target "/dev/nvme0n1")))
(mapped-devices
  (list (mapped-device
          (source (uuid "..."))
          (target "luks")
          (type luks-device-mapping))))
(file-systems
  (cons* (file-system
           (mount-point "/")
           (device "/dev/mapper/luks")
           (type "ext4")
           (dependencies mapped-devices))
         %base-file-systems)))

guix system init /mnt/etc/config.scm /mnt
reboot

After inserting password to decrypt, I hit enter in boot menu, laptop freezes.

Attached are pictures from GRUB.

Best Regards,
J

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Tuesday, May 25, 2021 2:12 PM, Juraj Hlista <[email-masked]> wrote:

> I installed Guix again, there is just single 2TB encrypted partition with ext4 on top.
>
> When booting, there is a prompt asking for a password to decrypt the partition, then there is the boot menu. When hitting enter the laptop gets stuck again just like before.
>
> Seems like an issue with grub?
>
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> On Tuesday, May 25, 2021 1:19 PM, Tobias Geerinckx-Rice [email-masked] wrote:
>
> > Juraj,
> > Juraj Hlista 写道：
> >
> > > mount LABEL=system-root /mnt
> > > mkdir /mnt/etc /mnt/boot
> > > mount LABEL=system-boot /mnt/boot
> >
> > Guix System doesn't support a separate /boot partition. Seehttp://issues.guix.gnu.org/48172.
> > I'll leave this bug unmerged with that one until we're sure that's your only issue:
> >
> > > I also tried to use unencrypted root partition (basically the > same as above, but without LUKS) and it works.
> >
> > Also with separate /boot? If so, maybe GRUB happens to look in the wrong right place (/ instead of /boot), or something else is going on.
> > Kind regards,
> > T G-R